Create voice consent
VoiceConsent audio().voiceConsents().create(VoiceConsentCreateParamsparams , RequestOptionsrequestOptions = RequestOptions.none() )
POST
/audio/voice_consentsCreate voice consent
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.audio.voiceconsents.VoiceConsent;
import com.openai.models.audio.voiceconsents.VoiceConsentCreateParams;
import java.io.ByteArrayInputStream;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
VoiceConsentCreateParams params = VoiceConsentCreateParams.builder()
.language("language")
.name("name")
.recording(new ByteArrayInputStream("Example data".getBytes()))
.build();
VoiceConsent voiceConsent = client.audio().voiceConsents().create(params);
}
}200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}Returns Examples
200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}